﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;

namespace SilverQuiz.Web.ClientBin
{
    // メモ: [リファクター] メニューの [名前の変更] コマンドを使用すると、コードと config ファイルの両方で同時にインターフェイス名 "IQuizService" を変更できます。
    [ServiceContract]
    public interface IQuizService
    {
        [OperationContract]
        QuizCategory[] GetQuizCategory();

        [OperationContract]
        Quiz[] GetQuiz(string Category);
    }
}
