﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;
using SilverQuiz.QuizServiceReference;

namespace SilverQuiz
{
    public partial class Page1 : Page
    {
        public Page1()
        {
            InitializeComponent();
        }

        // ユーザーがこのページに移動したときに実行されます。
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            App.CurrentApp.LoadCategory(CategoryLoaded);
        }

        private void CategoryLoaded(Exception ex)
        {
            if (ex == null)
            {
                listBox1.ItemsSource = App.CurrentApp.CategoryList;
                listBox1.SelectedItem = listBox1.Items[0];
            }
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            QuizCategory currentCategory = (QuizCategory)(listBox1.SelectedItem);
            this.NavigationService.Navigate(new Uri("Category/" + currentCategory.Id,
                UriKind.Relative));
        }
    }
}
