﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace cssl030101
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            ChangeColor(Colors.Blue, Colors.LightGray);
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            ChangeColor(Colors.Brown, Colors.Yellow);
        }

        private void ChangeColor(Color c1, Color c2)
        {
            LinearGradientBrush myBursh = new LinearGradientBrush();
            myBursh.StartPoint = new Point(0, 0);
            myBursh.EndPoint = new Point(0, 1);
            myBursh.GradientStops.Add(new GradientStop() {
                Color = c1, Offset = 0 });
            myBursh.GradientStops.Add(new GradientStop() {
                Color = c2, Offset = 0.7 });
            textBlock1.Foreground = myBursh;
        }
    }
}
