﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;

namespace cssl040102
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click_1(object sender, RoutedEventArgs e)
        {
            OpenPhoto("/Images/Cherry.png");            
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            OpenPhoto("/Images/Ume.png");
        }

        private void OpenPhoto(string uriString)
        {
            Uri imageUri = new Uri(uriString, UriKind.Relative);
            image1.Source = new BitmapImage(imageUri);
        }

        private void image1_ImageFailed(object sender, ExceptionRoutedEventArgs e)
        {
            imageIcon.Visibility = Visibility.Visible;
        }

        private void image1_ImageOpened(object sender, RoutedEventArgs e)
        {
            imageIcon.Visibility = Visibility.Collapsed;
        }
    }
}
