﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;

namespace cssl040103
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            if ((image1.Source as BitmapSource).PixelHeight == 0)
                return;

            WriteableBitmap wb1 = new WriteableBitmap(image1.Source as BitmapSource);
            WriteableBitmap wb2 = new WriteableBitmap(wb1.PixelWidth, wb1.PixelHeight);

            for (int i = 0; i < wb1.Pixels.GetLength(0); i++)
            {
                int originalPixel = wb1.Pixels[i];
                int a = originalPixel >> 24 & 0xff;
                int r = originalPixel >> 16 & 0xff;
                int g = originalPixel >> 8 & 0xff;
                int b = originalPixel & 0xff;

                int gray = (int)(0.3 * r + 0.6 * g + 0.1 * b);

                int sr = (int)(gray * 0.9);
                int sg = (int)(gray * 0.7);
                int sb = (int)(gray * 0.5); 

                int newPixel = a << 24 | sr << 16 | sg << 8 | sb;
                wb2.Pixels[i] = newPixel;
            }
            image2.Source = wb2;
        }
    }
}
