﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Navigation;

namespace cssl070102
{
    public partial class Page2 : Page
    {
        public Page2()
        {
            InitializeComponent();
        }

        // ユーザーがこのページに移動したときに実行されます。
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            nameTextBox.Text = App.GetRecieveString(this, "name");
            mailTextBox.Text = App.GetRecieveString(this, "mail");
        }

        private void okButton_Click(object sender, RoutedEventArgs e)
        {
            this.NavigationService.Navigate(new Uri("/Page1.xaml" +
                App.GetSendString(nameTextBox.Text, mailTextBox.Text), UriKind.Relative));
        }

        private void cancelButton_Click(object sender, RoutedEventArgs e)
        {
            string oldName = App.GetRecieveString(this, "name");
            string oldMail = App.GetRecieveString(this, "mail");
            this.NavigationService.Navigate(new Uri("/Page1.xaml" +
                App.GetSendString(oldName, oldMail), UriKind.Relative));
        }
    }
}
