﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace cssl070201
{
    public partial class MainPage : UserControl
    {
        WebClient wc;

        public MainPage()
        {
            InitializeComponent();
            wc = new WebClient();
            wc.DownloadStringCompleted += new System.Net.DownloadStringCompletedEventHandler(wc_DownloadStringCompleted);
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            if (!wc.IsBusy)
                wc.DownloadStringAsync(new Uri("download.txt", UriKind.Relative));
        }

        void wc_DownloadStringCompleted(object sender, System.Net.DownloadStringCompletedEventArgs e)
        {
            if (e.Error == null)
                textBox1.Text = e.Result;
            else
                textBox1.Text = e.Error.Message;
        }
    }
}
