﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace cssl030201
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            drawAsteroid();
        }

        private void drawAsteroid()
        {
            double cx = canvas1.ActualWidth / 2;
            double cy = canvas1.ActualHeight / 2;

            double m = Math.Min(cx, cy);

            for (double i = 0; i <= m; i+= 10)
            {
                for (int j = 0; j < 4; j++)
                {
                    double y1 = j < 2 ? cy - m + i : cy + m - i;
                    double x2 = j % 2 == 0 ? cx - i : cx + i;

                    Line l1 = new Line() {
                        X1 = cx, Y1 = y1, X2 = x2, Y2 = cy,
                        Stroke = new SolidColorBrush(Colors.Gray),
                        StrokeThickness = 1};
                    canvas1.Children.Add(l1);
                }
            }
        }
    }
}
