﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Media.Imaging;

namespace cssl070202
{
    public partial class MainPage : UserControl
    {
        WebClient wc;

        public MainPage()
        {
            InitializeComponent();
            wc = new WebClient();
            wc.OpenReadCompleted += new OpenReadCompletedEventHandler(wc_OpenReadCompleted);
        }

        void wc_OpenReadCompleted(object sender, OpenReadCompletedEventArgs e)
        {
            BitmapImage myBitmap = new BitmapImage();
            if (e.Error == null)
                myBitmap.SetSource(e.Result);
            image1.Source = myBitmap;
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            if (!wc.IsBusy)
                wc.OpenReadAsync(new Uri("Azalea.png", UriKind.Relative));
        }
    }
}
