﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.IO;
using System.Web.Hosting;

namespace cssl070301.Web
{
    // メモ: [リファクター] メニューの [名前の変更] コマンドを使用すると、コード、svc、および config ファイルで同時にクラス名 "ZipService" を変更できます。
    public class ZipService : IZipService
    {
        public string[] ZipString(string zip)
        {
            string filePath = Path.Combine(
                HostingEnvironment.ApplicationPhysicalPath,
                "Yubin.txt");
            StreamReader sr = new StreamReader(filePath);
            string searchZip = zip.Replace("-", "");
            string buff = sr.ReadLine();
            List<string> zipList = new List<string>();

            while (buff != null)
            {
                if (buff.IndexOf(searchZip) == 0)
                    zipList.Add(buff);
                buff = sr.ReadLine();
            }
            sr.Close();
            return zipList.ToArray();
        }
    }
}
