﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using cssl070301.ServiceReference1;

namespace cssl070301
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            if (textBox1.Text == "")
                return;

            ZipServiceClient cl = new ZipServiceClient();
            cl.ZipStringCompleted +=
                new EventHandler<ZipStringCompletedEventArgs>(cl_ZipStringCompleted);

            cl.ZipStringAsync(textBox1.Text);
        }

        void cl_ZipStringCompleted(object sender, ZipStringCompletedEventArgs e)
        {
            listBox1.ItemsSource = null;
            listBox1.Items.Clear();
            if (e.Error != null)
                listBox1.Items.Add(e.Error.Message);
            else
                listBox1.ItemsSource = e.Result;
        }
    }
}
