﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using cssl070302.ServiceReference1;

namespace cssl070302
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            if (textBox1.Text == "")
                return;

            ZipServiceClient cl = new ZipServiceClient();
            cl.ZipSearchCompleted += new EventHandler<ZipSearchCompletedEventArgs>(cl_ZipSearchCompleted);
            cl.ZipSearchAsync(textBox1.Text);
        }

        void cl_ZipSearchCompleted(object sender, ZipSearchCompletedEventArgs e)
        {
            listBox1.ItemsSource = null;
            listBox1.Items.Clear();
            if (e.Error != null)
                listBox1.Items.Add(e.Error.Message);
            else
                listBox1.ItemsSource = e.Result;
        }
    }
}
